<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Wireless :: U.S. Robotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function isUS()
{   	var ix = "<% nvram_get("wl0_country_code"); %>";
  	if(ix != "US") 
		return false;
	else 
	      return true;
}
function validateAfterburner()
{	var accel = document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.selectedIndex].value;
	var wme = "<% nvram_get("wl0_wme"); %>";
	if (document.idForm.wlmode.checked) {
		alert("Please note that Bridge mode (WDS) does not support WMM. You have to disable WMM in order to use WDS.");
		return false;
	}
	if (accel == "afterburner") {
		if ((wme == "off") && document.idForm.chkWME.checked) {
			alert("This setting is incompatible with MAXg acceleration. Please change the acceleration in the Transmission section to \"54g+ (XPress)\" or \"None.\"");
			return false;
		}
	}
	return true;
}
function validateWDS()
{	var cbAuthEncrypt = "<% nvram_get("cbAuthEncrypt"); %>";
	var cbEncryption = "<% nvram_get("cbEncryption"); %>";
	if (document.idForm.chkWME.checked) {
		alert("Please note that Bridge mode (WDS) does not support WMM. You have to disable WMM in order to use WDS.");
		return false;
	}
	else if (document.idForm.wlmode.checked) {
		if ((cbAuthEncrypt == "wpa2") || (cbAuthEncrypt == "wpa12") || (cbEncryption == "tkip+aes") || (cbAuthEncrypt == "radius-wpa12") || 
		(cbAuthEncrypt == "radius-wpa2") || (cbAuthEncrypt == "radius-wpa")) {
			alert("Please note that Bridge mode (WDS) does not support WPA2 security, RADIUS authentication or the combined TKIP and AES encryption. You have to change your security settings in order to use WDS.");
			return false;
		}
	}
	else if (document.idForm.chkWDSrestrict.checked) {
		if ((cbAuthEncrypt == "wpa2") || (cbAuthEncrypt == "wpa12") || (cbEncryption == "tkip+aes") || (cbAuthEncrypt == "radius-wpa12") || 
		(cbAuthEncrypt == "radius-wpa2") || (cbAuthEncrypt == "radius-wpa")) {
			alert("Please note that WDS connections do not support WPA2 security, RADIUS authentication or the combined TKIP and AES encryption. You have to change your security settings in order to use WDS.");
			return false;
		}
	}
	return true;
}
function selectPower()
{	var pwr = <% nvram_get("wl0_power"); %>;
	if ((pwr == 79) || (pwr == 76))
		document.idForm.wl_power.selectedIndex = 0;
	if ((pwr == 64) || (pwr == 40))
		document.idForm.wl_power.selectedIndex = 1;
	if ((pwr == 52) || (pwr == 20))
		document.idForm.wl_power.selectedIndex = 2;
}
//-->
</script>
</head>
<body onload="setVisibility('idWireless', document.idForm.chkWireless.checked); setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked);
	 tableInitializeWDS(); setVisibility('idWME', document.idForm.chkWME.checked); selectPower(); changeAcceleration(); manageSupportedRates();" onbeforeunload="verifyDeparture();">
<script>
	writeHeader();
</script>
<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.
	</p>
	<h1>Wireless Connections</h1>
	<p>If you don&rsquo;t have any wireless devices at this time,
	you can disable wireless support for maximum security.</p>
	<h1>Network Name</h1>
	<p>This can be any name you want.
	U.S.&nbsp;Robotics recommends that you treat your <strong>network name</strong>
	like a password and use a combination of more than eight alphanumeric
	characters that is not easy to guess (such as &ldquo;USR5461RouterOffice&rdquo;
	or &ldquo;Fish81Tree&rdquo;).</p>
	<h1>Broadcast</h1>
	<p>If the router broadcasts the network name, any wireless device can
	find out what it is and connect to the router, unless you set further
	security measures, such as encryption, on the <a href="security.asp">Security</a> page.
	You can disable broadcast so that someone will need to enter the network name
	for a client to connect to the router.</p>
	<h1>WDS</h1>
	<p>Please note that WDS connections do not support WPA2 security, RADIUS authentication 
	 or the combined TKIP and AES encryption. You will need to specify either <b>WPA (PSK)</b> and 
	 <b>TKIP</b>, <b>WPA (PSK)</b> and <b>AES</b>, <b>WEP open</b>, or <b>WEP shared</b> on the 
	 <b>Security</b> page.</p>
</div>
<form name="idForm" action="wireless.asp" method="post">
<input type="hidden" name="page" value="wireless.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_radio" value="1"> 
<input type="hidden" name="wl_mode" value="ap">
<input type="hidden" name="wl_closed" value="1"> 
<input type="hidden" name="wl_ap_isolate" value="0">
<input type="hidden" name="wl_lazywds" value="0">
<input type="hidden" name="wl_wme" value="off"> 
<input type="hidden" name="wl_wme_no_ack" value="off">
<input type="hidden" name="wl_wme_apsd" value="off">
<input type="hidden" name="wl_gmode_protection" value="off">
<p><input type="checkbox" id="chkWireless" name="chkWireless" <% nvram_match("wl_radio", "1", "checked"); %> onclick="toggleVisibility('idWireless'); bDirty = true;"> <label for="chkWireless">Allow wireless connections</label></p>
<div id="idWireless">
<h3>Network Name (SSID)</h3>
<p>This is the name of your wireless network. Wireless devices will need to know the
network name (also known as an SSID) of your router in order to communicate with it.</p>
<p><label for="wl_ssid">Network name:</label>
	<input type="text" size="32" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl0_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false; bDirty = true;"></p>
<p>In order to hide your router from new wireless devices, you can
tell the router to stop broadcasting the router&rsquo;s network name.</p>
<p><input type="checkbox" id="wl_closed" name="wl_closed" value="0" <% nvram_match("wl0_closed", "0", "checked"); %> onclick="bDirty = true;"> <label for="wl_closed">Broadcast network name</label></p>
<h3>Access Point Isolation</h3>
<p>Access point isolation prevents wireless clients from sharing files and printers.
This is useful in situations such as public hotspots where the clients access the router
for Internet access but they should not access each other.</p>
<p><input type="checkbox" id="wl_ap_isolate" name="wl_ap_isolate" value="1" <% nvram_match("wl0_ap_isolate", "1", "checked"); %> onclick="bDirty = true;"> <label for="wl_ap_isolate">Access point isolation</label></p>
<h3>Bridge Mode</h3>
<p>Bridge mode is used to connect only to another access point. In bridge mode, wireless client
devices cannot connect to the router. If you enter the MAC addresses of bridging devices in the
WDS Restrictions table, only those devices will be permitted to connect to the router. 
Please note that any WDS device you will connect to must use one of the following security methods: 
WPA (PSK) with AES, WPA (PSK) with TKIP, WEP or None.</p>
<p><input type="checkbox" id="wlmode" name="wlmode" value="wds" <% nvram_match("wl0_mode", "wds", "checked"); %> onclick="if (!validateWDS()) return false; bDirty = true;"> <label for="wlmode">Bridge mode</label></p>
<h3>WDS Restrictions</h3>
<p>When enabled only the access points whose MAC addresses are in this list can connect using WDS.</p> 
<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>
<p><input type="checkbox" id="chkWDSrestrict" name="chkWDSrestrict" <% nvram_match("wl0_lazywds", "0", "checked"); %> onclick="if (!validateWDS()) return false; setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked); bDirty = true;"> <label for="chkWDSrestrict">Enable WDS restrictions</label></p>
<div id="idWDSrestrict"> 
<div id="idTableWDS">
	<!-- Content is added by script -->
</div>
<table class="clsGroupBox"><tr><td>
			<label for="txtMACaddress">MAC address:</label>
			<br/>
			<input type="text" size="20" maxlength="17" name="txtMACaddress" id="txtMACaddress" class="clsTextfield" onchange="validateMAC(document.idForm.txtMACaddress.value); bDirty = true;">
			<input type="button" name="idBtnAddWDS" id="idBtnAddWDS" value="  Add  " class="clsSmall" onclick="tableAddRowWDS();">
</td></tr></table>
<script type="text/javascript">
<!--
var objTableWDS 	= new Object;
objTableWDS.strThis	= "objTableWDS";	// the text representation of this object's name
objTableWDS.aRows	= new Array;		// the array of the row arrays for the table
function tableInitializeWDS()
{
	objTableWDS.eltTable		= document.getElementById("idTableWDS");
	objTableWDS.eltBtnAdd		= document.getElementById("idBtnAddWDS");
	objTableWDS.strVarNameNum	= "wl_wds";
	objTableWDS.aVarNamePrefixes	= new Array("wl_wds");
	objTableWDS.iMaxNumRows		= 16;
	objTableWDS.fctFormatRow	= fctFormatRowText;
	objTableWDS.aHeadings		= new Array(	"MAC Address"
						);
	var aRouterData = new Array(	new Array("<% nvram_list("wl0_wds", 0); %>"),
					new Array("<% nvram_list("wl0_wds", 1); %>"),
					new Array("<% nvram_list("wl0_wds", 2); %>"),
					new Array("<% nvram_list("wl0_wds", 3); %>"),
					new Array("<% nvram_list("wl0_wds", 4); %>"),
					new Array("<% nvram_list("wl0_wds", 5); %>"),
					new Array("<% nvram_list("wl0_wds", 6); %>"),
					new Array("<% nvram_list("wl0_wds", 7); %>"),
					new Array("<% nvram_list("wl0_wds", 8); %>"),
					new Array("<% nvram_list("wl0_wds", 9); %>"),
					new Array("<% nvram_list("wl0_wds", 10); %>"),
					new Array("<% nvram_list("wl0_wds", 11); %>"),
					new Array("<% nvram_list("wl0_wds", 12); %>"),
					new Array("<% nvram_list("wl0_wds", 13); %>"),
					new Array("<% nvram_list("wl0_wds", 14); %>"),
					new Array("<% nvram_list("wl0_wds", 15); %>")
				);
	for (var row in aRouterData)
	{	if (aRouterData[row][0] == "")
			continue;
		objTableWDS.aRows.push(aRouterData[row]);
	}
	tableDisplay(objTableWDS);
}
function tableAddRowWDS()
{	var aRowNew = new Array(document.idForm.txtMACaddress.value);
	if (!validateDataText(objTableWDS, aRowNew) || !validateMAC(aRowNew[0]))
	{	document.idForm.txtMACaddress.focus();
		return;
	}
	aRowNew[0] = normalizeMAC(aRowNew[0]);
	if (!tableIsDuplicateRow(objTableWDS, aRowNew))
		tableAddRow(objTableWDS, aRowNew);
	document.idForm.txtMACaddress.value = "";
}
//-->
</script>	
</div> 
<h3>Wi-Fi Multimedia (WMM)</h3>
<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>
<p><input type="checkbox" id="chkWME" name="chkWME" <% nvram_match("wl0_wme", "on", "checked"); %>
	onclick="if (!validateAfterburner()) return false; setVisibility('idWME', document.idForm.chkWME.checked); bDirty = true;"> <label for="chkWME">Enable WMM</label></p>
<div id="idWME">
<p><input type="checkbox" id="wl_wme_no_ack" name="wl_wme_no_ack" value="on" <% nvram_match("wl0_wme_no_ack", "on", "checked"); %> onclick="bDirty = true;"> <label for="wl_wme_no_ack">Enable no-acknowledgement</label></p>
<p><input type="checkbox" id="wl_wme_apsd" name="wl_wme_apsd" value="on" <% nvram_match("wl0_wme_apsd", "on", "checked"); %> onclick="bDirty = true;"> <label for="wl_wme_apsd">Enable APSD (Automatic Power Save Delivery)</label></p>
</div>
<h3>Transmission</h3>
<p>These are advanced settings and most people won&rsquo;t need to modify them.
You can find information about these advanced features in the user manual on
the installation CD-ROM.</p>
<table border="0">
	<tr><td><label>Power level:</label></td>
		<td><select id="wl_power" name="wl_power" onchange="bDirty = true;">
				<option value="76">100%</option>
				<option value="64">50%</option>
				<option value="52">25%</option>
		</select></td></tr>
	<tr><td><label>Channel:</label></td>
		<td><select id="cbChannel" name="wl_channel" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl0_channel", "0", "selected"); %>>Automatic</option>
				<option value="1" <% nvram_match("wl0_channel", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl0_channel", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl0_channel", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl0_channel", "4", "selected"); %>>4</option>
				<option value="5" <% nvram_match("wl0_channel", "5", "selected"); %>>5</option>
				<option value="6" <% nvram_match("wl0_channel", "6", "selected"); %>>6</option>
				<option value="7" <% nvram_match("wl0_channel", "7", "selected"); %>>7</option>
				<option value="8" <% nvram_match("wl0_channel", "8", "selected"); %>>8</option>
				<option value="9" <% nvram_match("wl0_channel", "9", "selected"); %>>9</option>
				<option value="10" <% nvram_match("wl0_channel", "10", "selected"); %>>10</option>
				<option value="11" <% nvram_match("wl0_channel", "11", "selected"); %>>11</option>
			</select>
<script>
   if (!isUS())
   {  document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("12", "12");
      document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("13", "13");
      document.idForm.cbChannel.selectedIndex = "<% nvram_get("wl0_channel"); %>";
   }
</script>
		 </td></tr>
	<tr><td><label>54g mode:</label></td>
		<td><select id="cbMode" name="wl_gmode" onchange="manageSupportedRates();" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl0_gmode", "1", "selected"); %>>Automatic</option>
				<option value="4" <% nvram_match("wl0_gmode", "4", "selected"); %>>802.11g Performance</option>
				<option value="0" <% nvram_match("wl0_gmode", "0", "selected"); %>>802.11b Only</option>
		</select></td></tr>
	<tr><td colspan="2"><input type="checkbox" id="wl_gmode_protection" name="wl_gmode_protection" value="auto" <% nvram_match("wl0_gmode_protection", "auto", "checked"); %> onclick="bDirty = true;"> <label for="wl_gmode_protection">Automatic 54g protection</label></td>
	</tr>
	<tr><td><label>Supported rate:</label></td>
		<td><select id="cbSupportedRate" name="wl_rate" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl0_rate", "0", "selected"); %>>Auto</option>
				<option value="1000000" <% nvram_match("wl0_rate", "1000000", "selected"); %>>1 Mbps</option>
				<option value="2000000" <% nvram_match("wl0_rate", "2000000", "selected"); %>>2 Mbps</option>
				<option value="5500000" <% nvram_match("wl0_rate", "5500000", "selected"); %>>5.5 Mbps</option>
				<option value="6000000" <% nvram_match("wl0_rate", "6000000", "selected"); %>>6 Mbps</option>
				<option value="9000000" <% nvram_match("wl0_rate", "9000000", "selected"); %>>9 Mbps</option>
				<option value="11000000" <% nvram_match("wl0_rate", "11000000", "selected"); %>>11 Mbps</option>      
				<option value="12000000" <% nvram_match("wl0_rate", "12000000", "selected"); %>>12 Mbps</option>
				<option value="18000000" <% nvram_match("wl0_rate", "18000000", "selected"); %>>18 Mbps</option>
				<option value="24000000" <% nvram_match("wl0_rate", "24000000", "selected"); %>>24 Mbps</option>
				<option value="36000000" <% nvram_match("wl0_rate", "36000000", "selected"); %>>36 Mbps</option>
				<option value="48000000" <% nvram_match("wl0_rate", "48000000", "selected"); %>>48 Mbps</option>
				<option value="54000000" <% nvram_match("wl0_rate", "54000000", "selected"); %>>54 Mbps</option>
		</select></td></tr>
	<tr><td><label>Multicast rate:</label></td>
		<td><select id="cbMRate" name="wl_mrate" onchange="bDirty = true;">
	  			<option value="0" <% nvram_match("wl0_mrate", "0", "selected"); %>>Auto</option>
	  			<option value="1000000" <% nvram_match("wl0_mrate", "1000000", "selected"); %>>1 Mbps</option>
	  			<option value="2000000" <% nvram_match("wl0_mrate", "2000000", "selected"); %>>2 Mbps</option>
	  			<option value="5500000" <% nvram_match("wl0_mrate", "5500000", "selected"); %>>5.5 Mbps</option>
	  			<option value="6000000" <% nvram_match("wl0_mrate", "6000000", "selected"); %>>6 Mbps</option>
	  			<option value="9000000" <% nvram_match("wl0_mrate", "9000000", "selected"); %>>9 Mbps</option>
	  			<option value="11000000" <% nvram_match("wl0_mrate", "11000000", "selected"); %>>11 Mbps</option>      
	  			<option value="12000000" <% nvram_match("wl0_mrate", "12000000", "selected"); %>>12 Mbps</option>
	  			<option value="18000000" <% nvram_match("wl0_mrate", "18000000", "selected"); %>>18 Mbps</option>
	  			<option value="24000000" <% nvram_match("wl0_mrate", "24000000", "selected"); %>>24 Mbps</option>
	  			<option value="36000000" <% nvram_match("wl0_mrate", "36000000", "selected"); %>>36 Mbps</option>
	  			<option value="48000000" <% nvram_match("wl0_mrate", "48000000", "selected"); %>>48 Mbps</option>
	  			<option value="54000000" <% nvram_match("wl0_mrate", "54000000", "selected"); %>>54 Mbps</option>
			</select></td></tr>
	<tr><td><label>Basic rate set:</label></td>
		<td><select name="wl_rateset" onchange="bDirty = true;"> 
				<option value="default" <% nvram_match("wl0_rateset", "default", "selected"); %>>Default</option>
				<option value="all" <% nvram_match("wl0_rateset", "all", "selected"); %>>All</option>
				<option value="12" <% nvram_match("wl0_rateset", "12", "selected"); %>>1 & 2 Mbps</option>
			</select></td></tr>
	<tr><td><label>Acceleration:</label></td>
		<td><select name="cbAcceleration" onchange="changeAcceleration();bDirty = true;">
				<option value="none" <% nvram_match("cbAcceleration", "none", "selected"); %>>None</option>
				<option value="frameburst" <% nvram_match("wl0_frameburst", "on", "selected"); %>>54g+ (XPress&trade;)</option>
				<option value="afterburner" <% nvram_match("wl0_afterburner", "auto", "selected"); %>>MAXg (125 Mbps)</option>
			</select></td></tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	<tr><td><label for="wl_bcn">Beacon interval:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_bcn" class="clsTextfield" name="wl_bcn" value="<% nvram_get("wl0_bcn"); %>" onchange="bDirty = true;"> <label>ms</label> <span class="clsNote">(recommended to be between 1 and 1000 ms)</span></td>
	</tr>
	<tr><td><label for="wl_rts">RTS threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_rts" class="clsTextfield" name="wl_rts" value="<% nvram_get("wl0_rts"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2432)</span></td>
	</tr>
	<tr><td><label for="wl_frag" id="lblFrag">Fragmentation threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_frag" class="clsTextfield" name="wl_frag" value="<% nvram_get("wl0_frag"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2346, even numbers only)</span></td>
	</tr>
	<tr><td><label for="wl_dtim">DTIM interval:</label></td>
		<td><input type="text" size="10" maxlength="3" id="wl_dtim" class="clsTextfield" name="wl_dtim" value="<% nvram_get("wl0_dtim"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 1 and 255)</span></td>
	</tr>
	<tr><td><label>Preamble:</label></td>
		<td><select id="wl_plcphdr" name="wl_plcphdr">
				<option value="long" <% nvram_match("wl0_plcphdr", "long", "selected"); %> onchange="bDirty = true;">Long</option>
				<option value="short" <% nvram_match("wl0_plcphdr", "short", "selected"); %> onchange="bDirty = true;">Short</option>
			</select></td></tr>
</table></div>
<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false; checksettings(); bDirty = false;"></p>
</form>
<script>
	writeCopyright();
</script></body></html>
