<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Log :: U.S. Robotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>
<body onload="setVisibility('idSystemLog', document.idForm.chkSystemLog.checked);" onbeforeunload="verifyDeparture();">
<script type="text/javascript">
	writeHeader();
</script>
<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.</p>
	<h1>Refresh Log</h1>
	<p>Click the <strong>Refresh</strong> button at the top of the page to display the latest entries.</p>
	<h1>Router Log</h1>
	<p>The router log is displayed on the Log page. This is a record of the connections
	that the router either allows or denies. You can change the settings so that only
	allowed connections are recorded, only denied connections are recorded, both are
	recorded, or nothing is recorded.</p>
	<h1>System Log</h1>
	<p>The IP address is the address of the client device to which you want the
	router to send log entries as they are created.
	The client device must be running system log software in order to receive the log entries.</p>
</div>
<form action="log.asp" method="post">
<input type="submit" name="Refresh" value="Refresh" class="clsBtnSave">
</form>
<table class="clsRuled"> 
	<tbody class="clsEntry">
		<% dumplog(); %>
	</tbody>
</table>
<form name="idForm" action="apply.cgi" method="post">
<input type="hidden" name="page" value="log.asp">
<input type="hidden" name="sysdbg" value="off">
<h3>Router Log</h3>
<p>	<select id="log_level" name="log_level" onchange="bDirty = true;">
		<option value="0" <% nvram_match("log_level", "0", "selected"); %>>No log</option>
		<option value="1" <% nvram_match("log_level", "1", "selected"); %>>Log denied connections only</option>
		<option value="2" <% nvram_match("log_level", "2", "selected"); %>>Log accepted connections only</option>
		<option value="3" <% nvram_match("log_level", "3", "selected"); %>>Log accepted and denied connections</option>
	</select></p>
<h3>System Log</h3>
<p>The system log transmits its entries to a client device on the network.</p>
<p><input type="checkbox" name="chkSystemLog" id="chkSystemLog" <% nvram_invmatch("log_ipaddr", "", "checked"); %> onclick="setVisibility('idSystemLog', document.idForm.chkSystemLog.checked); bDirty = true;">
	<label for="chkSystemLog">System log</label></p>
<div id="idSystemLog">
	<p><input type="checkbox" id="sysdbg" name="sysdbg" <% nvram_match("sysdbg", "on", "checked"); %> onclick="bDirty = true;"> <label for="sysdbg">Enable debug</label></p>
	<p><label for="log_ipaddr">IP address:</label> <input type="text" size="21" maxlength="21" class="clsTextField" id="log_ipaddr" name="log_ipaddr" value="<% nvram_get("log_ipaddr"); %>"></p>
</div>
<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="checklog(); bDirty=false;"></p>
</form>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
