<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>How to Add a New Client Tutorial :: U.S. Robotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function get_key()
{	var idx = <% nvram_get("wl0_key"); %>;
	if (idx == 1)
		return "<% nvram_get("wl0_key1"); %>";
	if (idx == 2)
		return "<% nvram_get("wl0_key2"); %>";
	if (idx == 3)
		return "<% nvram_get("wl0_key3"); %>";
	if (idx == 4)
		return "<% nvram_get("wl0_key4"); %>";
}
function getKeyType()
{	var key = get_key();
	var size = getKeySize(key);
	if (isKeyASCII(key)) {
		if (size == 128)
			return "128-bit ASCII";
		if (size == 64)
			return "64-bit ASCII";
	}else {
		if (size == 128)
			return "128-bit hex";
		if (size == 64)
			return "64-bit hex";
	}		
}
function get_encryption()
{	var encrypt = "<% nvram_get("cbEncryption"); %>";
	if (encrypt == "tkip+aes")
		return "TKIP and AES";
	if (encrypt == "aes") 
		return "AES";
	if (encrypt == "tkip") 
		return "TKIP";
	else	
		return "";
}	
function get_method()
{	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	if (auth == "wpa12")
		return "WPA2 and WPA (PSK)";
	if (auth == "wpa2")
		return "WPA2 (PSK)";
	if (auth == "wpa")
		return "WPA (PSK)";
	if (auth == "open") 
		return "WEP open";
	if (auth == "shared") 
		return "WEP shared";
	if (auth == "none") 
		return "None";
	if (auth == "radius-wpa12") 
		return "WPA2 and WPA with 802.1x (RADIUS)";
	if (auth == "radius-wpa2") 
		return "WPA2 with 802.1x (RADIUS)";
	if (auth == "radius-wpa") 
		return "WPA with 802.1x (RADIUS)";
	else	
		return "";
}
function get_authentication()
{	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	if	((auth == "radius-wpa12") || (auth == "radius-wpa2") || (auth == "radius-wpa")) {
		return "Enabled";
	}
	else
		return "Disabled";
}	
function initialize()
{	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	var filter = "<% nvram_get("wl0_macmode"); %>";
	var ssid = <% nvram_get("wl0_closed"); %>;
	if ((auth == "wpa12") || (auth == "wpa2") || (auth == "wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idKey1', true);
		setVisibility('idWPA', true);
	}
	else if ((auth == "open") || (auth == "shared")) {
			setVisibility('idKey2', true);
			setVisibility('idWEP', true);
	}
	else if (auth == "none") {
		setVisibility('idNone', true);
	}
	else if	((auth == "radius-wpa12") || (auth == "radius-wpa2") || (auth == "radius-wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idRadiusserver', true);
		setVisibility('idRadiusport', true);
		setVisibility('idRadiuskey', true);
		setVisibility('idAuthentication', true);
	}
	if (filter == "allow") {
		setVisibility('idMACallow', true);
		setVisibility('idMACfiltering', true);
		setVisibility('idMACallow1', true);
		setVisibility('idMACallow2', true);
	}
	else if (filter == "deny") {
		setVisibility('idMACdeny', true);
		setVisibility('idMACfiltering', true);
		setVisibility('idMACdeny1', true);
		setVisibility('idMACdeny2', true);
	}
	if (ssid) 
		setVisibility('idBroadcastOff', true);
	else 
		setVisibility('idBroadcastOn', true);
}
function get_wds()
{	var wds = <% nvram_get("wl0_lazywds"); %>;
	if (wds)
		return "disabled";
	return "enabled";
}
//-->
</script>	
</head>
<body onload="initialize();">
<script type="text/javascript">
	writeHeader("Tutorial");
</script>
<h2>How do I add a new wireless client to my network?</h2>
<p class="clsNote"><a href="javascript:print();">Print this page</a></p>
<p>When you add a new wireless client to an existing network, there are certain
pieces of information you need to have. The router may provide some of this
information to the client automatically, but if it doesn&rsquo;t, you
will have to enter it yourself.</p>
<p>When you install a wireless adapter in a computer running Windows,
it usually comes with a utility that is installed on the computer and
displays an icon in the taskbar&rsquo;s notification area.
Windows&nbsp;XP also provides its own mechanism for managing wireless adapters.
One thing all wireless devices have in common is that they have some way to
configure the wireless connection.</p>
<p>Although there are many different wireless devices, they use almost identical
terms for the information they require to establish a wireless connection.</p>
<div id="idPanelHelp">
	<h1>Client Reference Sheet</h1>
	<table border="0">
		<tr><td><label>Network name:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_ssid"); %></td></tr>
		<tr><td><label>Method:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_method());</script></td></tr>
		<tr id="idEncrypt" style="display: none;">
			<td><label>Encryption:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_encryption());</script></td></tr>
		<tr id="idKey1" style="display: none;">
			<td><label>Pass phrase:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_wpa_psk"); %></td></tr>
		<tr id="idKey2" style="display: none;">
			<td><label>Key:</label></td>
			<td class="clsStatic"><script>document.write(get_key());</script></td></tr>
		<tr id="idRadiusserver" style="display: none;">
			<td><label>RADIUS server:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_ipaddr"); %></td></tr>
		<tr id="idRadiusport" style="display: none;">
			<td><label>RADIUS port:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_port"); %></td></tr>
		<tr id="idRadiuskey" style="display: none;">
			<td><label>RADIUS key:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_key"); %></td></tr>
	</table>
	<p id="idMACallow" style="display: none;">Wireless MAC filtering is allowing only specified devices.</p>
	<p id="idMACdeny" style="display: none;">Wireless MAC filtering is denying only specified devices.</p>
</div>
<h3>1. Network name (SSID)</h3>
<p>The first thing a wireless client needs to know is the network name or SSID,
which is set on the router.</p>
<p>The network name of this router is <span class="clsHighlight"><% nvram_get("wl0_ssid"); %></span>.</p>
<p id="idBroadcastOn" style="display: none;">Since the router is broadcasting its network name, you don&rsquo;t have to
enter it into the wireless device&rsquo;s utility. You should be able to perform a
&ldquo;site survey&rdquo; or &ldquo;scan&rdquo; and the utility will indicate that
it&rsquo;s found the router&rsquo;s network name.</p>
<p id="idBroadcastOff" style="display: none;">
The router is not broadcasting its network name, so you will need to enter it
into the wireless device&rsquo;s utility. Most utilities are different, but
there is usually a mechanism for creating a &ldquo;profile&rdquo; and entering
the necessary information.</p>
<h3>2. Security</h3>
<p>In order for a wireless client to communicate with a router using security,
it must use the same method.
Security for wireless communication consists of an authentication method (which controls
which devices can connect to the router) and an encryption method (which prevents someone from
&ldquo;reading&rdquo; the data being sent between a wireless client and the router).</p>
	<p id="idWPA" style="display: none;">The router&rsquo;s authentication method is <span class="clsHighlight"><script type="text/javascript">document.write(get_method());</script></span>.
	The encryption method is <span class="clsHighlight"><script type="text/javascript">document.write(get_encryption());</script></span>
	and the encryption key is <span class="clsHighlight"><% nvram_get("wl0_wpa_psk"); %></span>.</p>
	<p id="idWEP" style="display: none;">The router&rsquo;s authentication method is <span class="clsHighlight"><script type="text/javascript">document.write(get_method());</script></span>.
	The encryption method is <span class="clsHighlight">WEP</span> and the encryption key is
	<span class="clsHighlight"><script>document.write(get_key());</script></span>.
	You may also need to select the type of key, which is <span class="clsHighlight"><script>document.write(getKeyType());</script></span>.</p>
	<p id="idAuthentication" style="display: none;">The router&rsquo;s authentication method is <span class="clsHighlight"><script type="text/javascript">document.write(get_method());</script></span>;
	the encryption method is <span class="clsHighlight"><script type="text/javascript">document.write(get_encryption());</script></span>;
	the RADIUS server is <span class="clsHighlight"><% nvram_get("wl0_radius_ipaddr"); %></span>; the RADIUS port is <span class="clsHighlight"><% nvram_get("wl0_radius_port"); %></span>;
	the RADIUS key is <span class="clsHighlight"><% nvram_get("wl0_radius_key"); %></span>.</p>
	<p id="idNone" style="display: none;">
	The router is insecure, so the client device may already be able to connect to it.</p>
<div id="idMACfiltering" style="display: none;">
<h3>3. MAC Filtering</h3>
	<p id="idMACallow1" style="display: none;">
	Since this router has MAC filtering enabled and is allowing only certain
	wireless devices to connect, you need to ensure that the client device&rsquo;s
	MAC address is permitted to connect to the router.<br/>
	One way to do this is to turn off MAC filtering and configure the client
	device to connect to the router. After that&rsquo;s completed, you can use
	the router&rsquo;s <strong>Allow Current Clients</strong> feature to
	automatically add the new client to the list of allowed devices and re-enable MAC filtering.</p>
	<p id="idMACdeny1" style="display: none;">
	Since this router has MAC filtering enabled and is denying certain wireless
	devices the ability to connect, you need to ensure that the client device&rsquo;s
	MAC address is not in the list of devices to be denied.</p>
<p>A MAC address is a set of six bytes typically separated by colons or dashes or spaces.
(A byte consists of two hexadecimal digits&mdash;0-9 and A-F.)
For example: &ldquo;<label>00:C0:49:AA:22:43</label>.&rdquo;</p>
<p>These are some ways you may be able to determine the client device&rsquo;s MAC address:
<ul><li>The MAC address is typically displayed on the device itself or on the device&rsquo;s packaging.</li>
	<li>If the device is running Windows XP, 2000, or NT and you&rsquo;re familiar with the command prompt,
	you can use the &ldquo;ipconfig /all&rdquo; command to display the MAC address.</li>
	<li>If the device is running Windows Me, 98, or 95 and you&rsquo;re familiar with the command prompt,
	you can use the &ldquo;winipcfg&rdquo; command to display the MAC address.</li>
	<li>The device&rsquo;s wireless configuration utility typically displays the MAC address somewhere.</li>
</ul></p>
<p>You can configure MAC filtering on the <a href="security.asp">Security</a> page.</p>
</div>
<h3>Troubleshooting</h3>
<p>If a wireless device cannot connect, the wrong encryption method may be
selected or the key may be entered incorrectly.
Double-check the device&rsquo;s wireless configuration utility to ensure
you&rsquo;ve entered everything correctly.
Make sure the wireless device has &ldquo;Infrastructure&rdquo; selected as the network type.
</p>
<p>You should also make certain that the router and client device are positioned so that their
transmissions can reach each other.
If possible, try to configure them when they are positioned next to each other.</p>
	<p id="idMACallow2" style="display: none;">Since this router has <span class="clsHighlight">MAC filtering configured to allow only certain devices</span>
	to connect, the client device&rsquo;s MAC address might not be in the list of
	devices permitted to connect to the router.
	You can configure MAC filtering on the <a href="security.asp">Security</a> page.</p>
	<p id="idMACdeny2" style="display: none;">
	Since this router has <span class="clsHighlight">MAC filtering configured to deny certain devices</span>, the
	client device&rsquo;s MAC address might be in the list of devices to be denied.
	You can configure MAC filtering on the <a href="security.asp">Security</a> page.</p>
<p class="clsNote"><a href="status.asp">Back to the Status page</a></p>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
